Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 16109)
+++ /trunk/language/de_DE/common.lang.php	(revision 16110)
@@ -52,5 +52,5 @@
 $lang['%d new users'] = '%d neue Benutzer';
 $lang['About'] = 'Über uns';
-$lang['All tags'] = 'Alle Stichworte';
+$lang['All tags'] = 'Alle Stichwörter';
 $lang['Any tag'] = 'Beliebiges Stichwort';
 $lang['At least one listed rule must be satisfied.'] = 'Mindestens eine aufgelistete Regel muss übereinstimmen.';
@@ -63,5 +63,5 @@
 $lang['Connection settings'] = 'Login-Einstellungen';
 $lang['Login'] = 'Anmeldung';
-$lang['Contact webmaster'] = 'Mail an den Webmaster';
+$lang['Contact webmaster'] = 'E-Mail an den Webmaster';
 $lang['Create a new account'] = 'Erstellen Sie ein neues Konto';
 $lang['Created on'] = 'Erstellt am';
@@ -70,9 +70,9 @@
 $lang['Dimensions'] = 'Abmessungen';
 $lang['Display'] = 'Anzeige';
-$lang['Each listed rule must be satisfied.'] = 'Jede aufgelistete Regel muss erfüllt sein';
-$lang['Email address is missing. Please specify an email address.'] = 'Die E-Mail-Adresse fehlt.';
+$lang['Each listed rule must be satisfied.'] = 'Jede aufgelistete Regel muss erfüllt sein.';
+$lang['Email address is missing. Please specify an email address.'] = 'Die E-Mail-Adresse fehlt. Bitte geben Sie eine E-Mail-Adresse an';
 $lang['Email address'] = 'E-Mail-Adresse';
 $lang['Enter your personnal informations'] = 'Geben Sie Ihre persönlichen Daten an';
-$lang['Error sending email'] = 'Fehler beim Senden der Mail';
+$lang['Error sending email'] = 'Fehler beim Senden der E-Mail';
 $lang['File name'] = 'Name der Datei';
 $lang['File'] = 'Datei';
@@ -81,8 +81,8 @@
 $lang['Filter'] = 'Filter';
 $lang['Forgot your password?'] = 'Passwort vergessen?';
-$lang['Go through the gallery as a visitor'] = 'Besuche die Galerie mit Besucherrechten';
+$lang['Go through the gallery as a visitor'] = 'Besuchen Sie die Galerie mit Besucherrechten';
 $lang['Help'] = 'Hilfe';
 $lang['Identification'] = 'Anmeldung';
-$lang['Photos only RSS feed'] = 'Nur Foto RSS-Feed';
+$lang['Photos only RSS feed'] = 'Nur Foto-RSS-Feed';
 $lang['Keyword'] = 'Stichwort';
 $lang['Links'] = 'Links';
@@ -101,17 +101,17 @@
 $lang['Register'] = 'Registrieren';
 $lang['Registration'] = 'Registrierung';
-$lang['Related tags'] = 'Mit den Stichworten';
+$lang['Related tags'] = 'Mit den Stichwörten';
 $lang['Reset'] = 'Abbrechen';
 $lang['Retrieve password'] = 'Passwort abrufen';
 $lang['Search rules'] = 'Suchkriterien';
-$lang['Search tags'] = 'Stichworte suchen';
+$lang['Search tags'] = 'Stichwörter suchen';
 $lang['Search'] = 'Suchen';
-$lang['display available tags'] = 'alle verfügbaren Stichworte';
+$lang['display available tags'] = 'alle verfügbaren Stichwörter';
 $lang['Since'] = 'Seit';
 $lang['Sort by'] = 'Sortieren nach';
 $lang['Sort order'] = 'Sortierreihenfolge';
 $lang['Tag'] = 'Stichwort';
-$lang['Tags'] = 'Stichworte';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'Die RSS Mittteilung beinhaltet Neuigkeiten von dieser Website: neue Fotos, aktualisierte Alben, neue Kommentare. Benutze einen RSS feed reader.';
+$lang['Tags'] = 'Stichwörter';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'Der RSS-Feed beinhaltet Neuigkeiten von dieser Webseite: neue Fotos, aktualisierte Alben, neue Kommentare. Benutzen Sie einen RSS-Feed-Reader.';
 $lang['Unknown feed identifier'] = 'Feed-ID unbekannt';
 $lang['User comments'] = 'Benutzerkommentare';
@@ -126,5 +126,5 @@
 $lang['all'] = 'alle';
 $lang['ascending'] = 'wachsende';
-$lang['author(s) : %s'] = 'Autor(en) : %s';
+$lang['author(s) : %s'] = 'Autor(en): %s';
 $lang['Expand all albums'] = 'Albenbaum komplett ausklappen';
 $lang['posted after %s (%s)'] = 'eingestellt nach dem %s (%s)';
@@ -141,10 +141,10 @@
 $lang['chronology_monthly_list'] = 'Monatliche Liste';
 $lang['chronology_weekly_list'] = 'Wöchentliche Liste';
-$lang['Click here if your browser does not automatically forward you'] = 'Klicken Sie hier, wenn Sie nicht durch ihren Browser weitergeleitet werden.';
+$lang['Click here if your browser does not automatically forward you'] = 'Klicken Sie hier, wenn Sie nicht durch Ihren Browser automatisch weitergeleitet werden';
 $lang['comment date'] = 'Datum des Kommentars';
 $lang['Comment'] = 'Kommentar';
 $lang['Your comment has been registered'] = 'Ihr Kommentar wurde gespeichert';
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-Floot-Sperre: Vor dem Absenden eines weiteren Kommentars bitte kurz warten';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Dein Kommentar wurde abgelehnt da er evtl. gesetzte Regeln verletzt';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Ihr Kommentar wurde abgelehnt, da er den Validierungs-Regeln nicht entspricht';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Ein Administrator muss Ihren Beitrag freischalten, bevor er sichtbar wird.';
 $lang['This login is already used by another user'] = 'Dieser Benutzername ist bereits vergeben';
@@ -165,5 +165,5 @@
 $lang['day'][6] = 'Samstag';
 $lang['Default'] = 'Standardmäßig';
-$lang['delete this photo from your favorites'] = 'lösche dieses Foto von den Favoriten';
+$lang['delete this photo from your favorites'] = 'lösche dieses Foto aus der Favoritenliste';
 $lang['Delete'] = 'Löschen';
 $lang['descending'] = 'absteigend';
@@ -184,11 +184,11 @@
 $lang['display this album'] = 'zeige dieses Album';
 $lang['display last user comments'] = 'zeige die letzten Benutzerkommentare';
-$lang['customize the appareance of the gallery'] = 'anpassen des Erscheinungsbildes der Galerie';
+$lang['customize the appareance of the gallery'] = 'Anpassen des Erscheinungsbildes der Galerie';
 $lang['search'] = 'suchen';
 $lang['Home'] = 'Startseite';
 $lang['Identification'] = 'Identifikation';
 $lang['in this album'] = 'in diesem Album';
-$lang['in %d sub-album'] = 'in %d Sub-Album';
-$lang['in %d sub-albums'] = 'in %d Sub-Alben';
+$lang['in %d sub-album'] = 'in %d Unteralbum';
+$lang['in %d sub-albums'] = 'in %d Unteralben';
 $lang['included'] = 'enthalten';
 $lang['Invalid password!'] = 'Passwort ungültig!';
@@ -199,9 +199,9 @@
 $lang['obligatory'] = 'obligatorisch';
 $lang['Maximum photo height'] = 'Maximale Fotohöhe';
-$lang['Maximum height must be a number superior to 50'] = 'Die maximale Höhe der Bilder größer als 50 sein';
+$lang['Maximum height must be a number superior to 50'] = 'Die maximale Höhe der Bilder muss größer als 50 sein';
 $lang['Maximum photo width'] = 'Maximale Fotobreite';
-$lang['Maximum width must be a number superior to 50'] = 'Die Breite der Bilder muss größer als 50 sein';
+$lang['Maximum width must be a number superior to 50'] = 'Die maximale Breite der Bilder muss größer als 50 sein';
 $lang['display a calendar by creation date'] = 'zeige einen Kalender nach Erstellungsdatum';
-$lang['display all photos in all sub-albums'] = 'zeige alle Fotos in allen Sub-Alben';
+$lang['display all photos in all sub-albums'] = 'zeige alle Fotos in allen Unteralben';
 $lang['return to normal view mode'] = 'zurück zur normalen Ansicht';
 $lang['display a calendar by posted date'] = 'zeige einen Kalender nach Einstellungsdatum';
@@ -230,6 +230,6 @@
 $lang['Recent period must be a positive integer value'] = 'Der Zeitraum muss eine positive ganze Zahl sein';
 $lang['photo'] = 'Foto';
-$lang['Click on the photo to see it in high definition'] = 'Klicke auf das Foto um es in hoher Auflösung zu sehen';
-$lang['Show file metadata'] = 'Zeige die Meta-Daten in der Datei';
+$lang['Click on the photo to see it in high definition'] = 'Klicke auf das Foto, um es in hoher Auflösung zu sehen';
+$lang['Show file metadata'] = 'Zeige die Metadaten in der Datei';
 $lang['Powered by'] = 'Unterstützt von';
 $lang['Preferences'] = 'Einstellungen';
@@ -238,6 +238,6 @@
 $lang['display a set of random photos'] = 'zeige einen Satz von zufälligen Fotos';
 $lang['Recent albums'] = 'Neueste Alben';
-$lang['display recently updated albums'] = 'Zeigt kürzlich aktualisierte Alben an';
-$lang['Recent period'] = 'Wieviele Tage sollen Bilder als "neu" markiert werden?';
+$lang['display recently updated albums'] = 'zeigt kürzlich aktualisierte Alben an';
+$lang['Recent period'] = 'Wie viele Tage sollen Bilder als "neu" markiert werden?';
 $lang['Recent photos'] = 'Neueste Fotos';
 $lang['display most recent photos'] = 'zeige die neuesten Fotos';
@@ -247,9 +247,9 @@
 $lang['login mustn\'t start with a space character'] = 'Benutzername darf nicht mit einem Leerzeichen anfangen';
 $lang['this login is already used'] = 'dieser Benutzername ist bereits vergeben';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'E-Mail-Adresse muss in der Form xxx@yyy.eee (Beispiel: jack@altern.org) sein';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'E-Mail-Adresse muss dem Muster xxx@yyy.eee (Beispiel: jack@altern.org) entsprechen';
 $lang['please enter your password again'] = 'bitte geben Sie erneut Ihr Passwort ein';
 $lang['Auto login'] = 'Auto-Login';
-$lang['remove this tag from the list'] = 'entfernen dieses Stichwort von der Liste';
-$lang['representative'] = 'repräsentativ';
+$lang['remove this tag from the list'] = 'entferne dieses Stichwort von der Liste';
+$lang['representative'] = 'Album-Vorschaubild';
 $lang['Search for Author'] = 'Suche nach Autor';
 $lang['Search in albums'] = 'Suche in den Alben';
@@ -263,5 +263,5 @@
 $lang['Empty query. No criteria has been entered.'] = 'Abfrage leer. Kein Kriterium eingegeben.';
 $lang['Search results'] = 'Suchergebnisse';
-$lang['Search in sub-albums'] = 'Suche in den Sub-Alben';
+$lang['Search in sub-albums'] = 'Suche in den Unteralben';
 $lang['searched words : %s'] = 'Suchbegriffe : %s';
 $lang['Contact'] = 'Kontakt';
@@ -312,9 +312,9 @@
 $lang['%d photo'] = '%d Foto';
 $lang['%d photos'] = '%d Fotos';
-$lang['%d photo is also linked to current tags'] = '%d Foto ist auch mit diesen Stichworten verbunden';
-$lang['%d photos are also linked to current tags'] = '%d Fotos sind auch mit diesen Stichworten verbunden';
-$lang['display photos linked to this tag'] = 'Zeige Fotos, die mit diesem Stichwort verbunden sind';
+$lang['%d photo is also linked to current tags'] = '%d Foto ist auch mit diesen Stichwörtern verbunden';
+$lang['%d photos are also linked to current tags'] = '%d Fotos sind auch mit diesen Stichwörtern verbunden';
+$lang['display photos linked to this tag'] = 'zeige Fotos, die mit diesem Stichwort verbunden sind';
 $lang['photos posted during the last %d days'] = 'Fotos eingestellt während der letzten %d Tage';
-$lang['Piwigo Help'] = 'Piwigo Hilfe';
+$lang['Piwigo Help'] = 'Piwigo-Hilfe';
 $lang['Rank'] = 'Rang';
 $lang['group by letters'] = 'Gruppieren nach Buchstaben';
@@ -326,43 +326,43 @@
 $lang['Sent by'] = 'Gesendet von';
 $lang['Are you sure?'] = 'Sind Sie sicher?';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies werden geblockt oder nicht von ihrem Browser unterstützt. Sie müssen sie erlauben um sich zu verbinden.';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies werden geblockt oder nicht von Ihrem Browser unterstützt. Sie müssen Cookies erlauben, um sich zu verbinden.';
 $lang['Edit a comment'] = 'Bearbeite einen Kommentar';
 $lang['(!) This comment requires validation'] = '(!) Dieser Kommentar muss berprüft werden';
 $lang['Welcome'] = 'Willkommen';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Willkommen in deiner Piwigo-Fotogalerie!';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Willkommen in Ihrer Piwigo-Fotogalerie!';
 $lang['... or browse your empty gallery'] = '... oder durchsuche deine leere Galerie';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... oder deaktiviere diese Nachricht, ich finde mich selbst zurecht';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, deine Piwigo-Fotogalerie ist leer!';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, Ihre Piwigo-Fotogalerie ist leer!';
 $lang['I want to add photos'] = 'Ich möchte Fotos hinzufügen';
 $lang['Manage this user comment: %s'] = 'Verwalte diesen Benutzerkommentar: %s';
 $lang['This author modified following comment:'] = 'Dieser Autor veränderte folgenden Kommentar:';
 $lang['This author removed the comment with id %d'] = 'Dieser Autor löschte den Kommentar mit der ID %d';
-$lang['html tags are not allowed in login'] = 'HTML-Tags sind im Benutzername nicht erlaubt';
-$lang['The number of photos per page must be a not null scalar'] = ' Die Anzahl der Fotos pro Seite muss eine ganze Zahl größer als Null sein ';
+$lang['html tags are not allowed in login'] = 'HTML-Tags sind im Benutzernamen nicht erlaubt';
+$lang['The number of photos per page must be a not null scalar'] = 'Die Anzahl der Fotos pro Seite muss eine ganze Zahl größer als Null sein ';
 $lang['Number of photos per page'] = 'Anzahl der Fotos pro Seite';
 $lang['%d rates'] = '%d Bewertungen';
 $lang['Rating score'] = 'Bewertungs-Stand';
 $lang['Change my password'] = 'Mein Passwort ändern';
-$lang['Check your email for the confirmation link'] = 'Prüfe dein E-Mail Postfach auf die E-Mail mit  Bestätigungs-Link';
-$lang['Enter your new password below.'] = 'Neues Passwort unten eingeben';
-$lang['EXIF Metadata'] = 'EXIF Metadaten';
+$lang['Check your email for the confirmation link'] = 'Überprüfen Sie Ihr E-Mail-Postfach auf eine E-Mail mit Bestätigungs-Link';
+$lang['Enter your new password below.'] = 'Neues Passwort unten eingeben.';
+$lang['EXIF Metadata'] = 'Exif-Metadaten';
 $lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Wenn das nicht beabsichtigt war, ignoriere diese E-Mail';
-$lang['Invalid key'] = 'Ungültiger Schlüsssel';
+$lang['Invalid key'] = 'Ungültiger Schlüssel';
 $lang['Invalid username or email'] = 'Falscher Benutzername oder E-Mail';
-$lang['IPTC Metadata'] = 'IPTC Metadaten';
+$lang['IPTC Metadata'] = 'IPTC-Metadaten';
 $lang['Password Reset'] = 'Passwort zurücksetzen';
-$lang['Password reset is not allowed for this user'] = 'Dieser benutzer darf das Passwort nicht zurücksetzen';
-$lang['Please enter your username or email address.'] = 'Bitte Benutzername oder E-Mail Adresse eingeben';
+$lang['Password reset is not allowed for this user'] = 'Dieser Benutzer darf das Passwort nicht zurücksetzen';
+$lang['Please enter your username or email address.'] = 'Bitte Benutzername oder E-Mail-Adresse eingeben';
 $lang['Return to home page'] = 'Zurück zur Startseite';
 $lang['The passwords do not match'] = 'Das Passwort stimmt nicht überein';
-$lang['To reset your password, visit the following address:'] = 'Um das Passwort zurückzusetzen, klicke folgenden Link:';
-$lang['User "%s" has no email address, password reset is not possible'] = 'Der Benutzer "%s" hat keine E-Mail Adresse, zurücksetzen des Passworts nicht möglich';
+$lang['To reset your password, visit the following address:'] = 'Um das Passwort zurückzusetzen, klicken Sie auf den folgenden Link:';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Der Benutzer "%s" hat keine E-Mail-Adresse. Zurücksetzen des Passworts nicht möglich';
 $lang['Username or email'] = 'Benutzername oder E-Mail';
-$lang['You will receive a link to create a new password via email.'] = 'Per E-Mail erhältst du einen Link um ein neues Passwort zu erstellen';
-$lang['Your password has been reset'] = 'Dein Passwort wurde zurückgesetzt';
+$lang['You will receive a link to create a new password via email.'] = 'Per E-Mail erhalten Sie einen Link, um ein neues Passwort zu erstellen';
+$lang['Your password has been reset'] = 'Ihr Passwort wurde zurückgesetzt';
 $lang['Edit'] = 'Bearbeiten';
 $lang['Hello %s,'] = 'Hallo %s,';
-$lang['Here are your connection settings'] = 'Das sind deine Verbindungseinstellungen';
-$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Solltest du die E-Mail unerwünscht erhalten haben, kontaktiere uns unter %s';
+$lang['Here are your connection settings'] = 'Das sind Ihre Verbindungseinstellungen';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Sollten Sie diese E-Mail irrtümlich erhalten haben, setzen Sie sich bitte mit uns in Verbindung %s';
 $lang['large'] = 'groß';
 $lang['medium'] = 'mittel';
@@ -373,13 +373,13 @@
 $lang['Someone requested that the password be reset for the following user account:'] = 'Eine Anfrage zum Zurücksetzen des Passworts für den folgenden Benutzer wurde gestellt:';
 $lang['square'] = 'quadratisch';
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Erfolgreich registriert, du wirst in Kürze eine E-Mail mit deinen Zugangdaten erhalten. Herzlich Willkommen!';
-$lang['Thank you for registering at %s!'] = 'Danke für Deine Registrierung bei %s';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Erfolgreich registriert! Sie werden in Kürze eine E-Mail mit Ihren Zugangsdaten erhalten. Herzlich Willkommen!';
+$lang['Thank you for registering at %s!'] = 'Danke für Ihre Registrierung bei %s';
 $lang['thumb'] = 'miniatur';
 $lang['Username "%s" on gallery %s'] = 'Benutzername "%s" bei Galerie %s';
 $lang['Username modification'] = 'Benutzername ändern';
 $lang['Username: %s'] = 'Benutzername: %s';
-$lang['xlarge'] = 'xgroß';
-$lang['xxlarge'] = 'xxgroß';
-$lang['Your username has been successfully changed to : %s'] = 'Dein Benutzername ist jetzt:';
+$lang['xlarge'] = 'XL-groß';
+$lang['xxlarge'] = 'XXL-übergroß';
+$lang['Your username has been successfully changed to : %s'] = 'Ihr Benutzername lautet jetzt:';
 $lang['Photo sizes'] = 'Bildgrößen';
 $lang['Desktop'] = 'Desktop';
@@ -389,5 +389,5 @@
 $lang['View in'] = 'Anzeigen in';
 $lang['2small'] = 'XXS-winzig';
-$lang['xsmall'] = 'XS - sehr klein';
+$lang['xsmall'] = 'XS-sehr klein';
 $lang['Date created, new &rarr; old'] = 'Datum erstellt, neu &rarr; alt';
 $lang['Date created, old &rarr; new'] = 'Datum erstellt, alt &rarr; neu';