Index: trunk/language/de_DE/upgrade.lang.php
===================================================================
--- trunk/language/de_DE/upgrade.lang.php	(revision 12922)
+++ trunk/language/de_DE/upgrade.lang.php	(revision 16114)
@@ -26,17 +26,16 @@
 $lang['Statistics'] = 'Statistik';
 $lang['total upgrade time'] = 'benötigte Aktualisierungszeit';
-$lang['total SQL time'] = 'gesamte SQL Zeit';
-$lang['SQL queries'] = 'SQL Anfragen';
-$lang['Upgrade informations'] = 'Upgrade Informationen';
-$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Führen Sie eine Datenbanküberprüfung durch in [Verwaltung>Werkzeuge>Wartung] falls ein Problem auftritt.';
-$lang['Only administrator can run upgrade: please sign in below.'] = 'Nur Administratoren dürfen ein Upgrade durchführen. Bitte loggen Sie sich ein';
-$lang['You do not have access rights to run upgrade'] = 'Sie haben nicht die erforderlichen Rechte ein Upgrade durchzuführen';
-$lang['All sub-albums of private albums become private'] = 'Alle Sub-Alben von privaten Alben werden auch privat eigestellt';
-$lang['User permissions and group permissions have been erased'] = 'Alle Benutzer- und Gruppenberechtigungen/beschränkungen wurden entfernt';
-$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Es wurden nur die Thumbnail-Präfixe und die Mailadresse des Webmasters übernommen';
-$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Diese Seite hat vor, Ihre Datenbank entsprechend Ihrer alten Version von Piwigo zur gegenwärtigen Version zu aktualisieren.
-Der Upgradeassistent ist der Meinung sie haben folgende Version installiert <strong>release %s</strong> (oder identisch).';
-$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Als Vorsichtsmaßnahme wurden folgende Plugins abgeschaltet. Prüfen Sie, ob ein Pluginupdate verfügbar ist, bevor Sie diese wieder aktivieren:';
-$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'In der Datei <i>%s</i>, vor <b>?></b> folgendes einfügen:';
-$lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Als Vorsichtsmaßnahme wurden folgende Themen abgeschaltet. Prüfen Sie, ob ein Pluginupdate verfügbar ist, bevor Sie diese wieder aktivieren:';
+$lang['total SQL time'] = 'gesamte SQL-Zeit';
+$lang['SQL queries'] = 'SQL-Anfragen';
+$lang['Upgrade informations'] = 'Upgrade-Informationen';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Führen Sie eine Datenbanküberprüfung durch [Verwaltung>Werkzeuge>Wartung], falls Probleme auftreten sollten';
+$lang['Only administrator can run upgrade: please sign in below.'] = 'Nur Administratoren dürfen ein Upgrade durchführen. Bitte melden Sie sich unten an.';
+$lang['You do not have access rights to run upgrade'] = 'Sie haben nicht die erforderlichen Rechte, um ein Upgrade durchzuführen';
+$lang['All sub-albums of private albums become private'] = 'Alle Unteralben von privaten Alben werden privat';
+$lang['User permissions and group permissions have been erased'] = 'Alle Benutzer- und Gruppenberechtigungen wurden entfernt';
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Es wurden nur das Vorschaubilder-Präfix und die E-Mail-Adresse des Webmasters aus der vorherigen Konfiguration übernommen';
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Diese Seite schlägt vor, die Datenbank Ihrer alten Piwigo-Version zu aktualisieren. Der Upgrade-Assistent hat festgestellt, dass Sie gegenwärtig Version <strong>release %s</strong> (oder eine gleichwertige Version) benutzen';
+$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Als Vorsichtsmaßnahme wurden folgende Plugins abgeschaltet. Überprüfen Sie, ob Plugin-Updates verfügbar sind, bevor Sie die Plugins wieder aktivieren:';
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'In der Datei <i>%s</i> vor <b>?></b> Folgendes einfügen:';
+$lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Als Vorsichtsmaßnahme wurden folgende Themen abgeschaltet. Überprüfen Sie, ob Themen-Updates verfügbar sind, bevor Sie die Themen wieder aktivieren:';
 ?>