Index: /extensions/SmartAlbums/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/el_GR/plugin.lang.php	(revision 16130)
+++ /extensions/SmartAlbums/language/el_GR/plugin.lang.php	(revision 16131)
@@ -29,5 +29,4 @@
 $lang['Created after'] = 'Δημιουργήθηκε μετά από';
 $lang['Created before'] = 'Δημιουργήθηκε πριν από';
-$lang['Created on'] = 'Δημιουργήθηκε στις';
 $lang['Date string is malformed'] = 'Η Ημερομηνία δεν έχει σωστή μορφή';
 $lang['Limit must be an integer'] = 'Το Όριο πρέπει να είναι ακέραιος';
@@ -37,8 +36,5 @@
 $lang['One of these tags'] = 'Μία από αυτές τις ετικέτες';
 $lang['Only these tags'] = 'Μόνο αυτές οι λέξεις-κλειδιά';
-$lang['You can\'t use more than one limit'] = 'Δεν μπορείτε να χρησιμοποιήσετε περισσότερα από ένα όριο';
 $lang['%d photos'] = '%d φωτογραφίες';
-$lang['(can cause slowdowns on admin pages)'] = '(μπορεί να προκαλέσει επιβράδυνση στις σελίδες διαχείρισης)';
-$lang['Add a SmartAlbum'] = 'Προσθήκη SmartAlbum';
 $lang['Add filters here'] = 'Προσθέστε φίλτρα εδώ';
 $lang['All SmartAlbums'] = 'Όλα τα SmartAlbums';
@@ -51,8 +47,32 @@
 $lang['SmartAlbum deleted'] = 'Smart Album διαγράφτηκε ';
 $lang['This album is a SmartAlbum'] = 'Αυτό το άλμπουμ είναι ένα SmartAlbum';
-$lang['To order albums please go the main albums management page'] = 'Για να παραγγείλετε λευκώματα επισκεφθείτε την κύρια σελίδα <a href="admin.php?page=cat_list">διαχείρισης λευκωμάτων</a>';
 $lang['Update albums on file upload'] = 'Ενημέρωση λευκώματος με ανέβασμα αρχείου';
-$lang['date filter'] = 'φίλτρο ημερομηνίας';
-$lang['limit filter'] = 'φίλτρο  ορίου';
-$lang['tags filter'] = 'φίλτρο ετικετών';
+$lang['(can cause slowdowns)'] = '(Μπορεί να προκαλέσει επιβράδυνση)';
+$lang['Above'] = 'Πάνω από';
+$lang['Author is empty'] = 'ο Δημιουργός είναι άδειο';
+$lang['Begins with'] = 'Αρχίζει με';
+$lang['Bellow'] = 'Παρακάτω από';
+$lang['Contains'] = 'Περιέχει';
+$lang['Doesn\'t begin with'] = 'Δεν Αρχίζει από';
+$lang['Doesn\'t contain'] = 'Δεν Περιέχει';
+$lang['Doesn\'t end with'] = 'Δεν τελειώνει σε ';
+$lang['Ends with'] = 'Τελειώνει σε';
+$lang['For "Is (not) in", separate each author by a comma'] = 'Για "(δεν) είναι το" χωρίζει κάθε δημιουργό με ένα κόμμα';
+$lang['Hits must be an integer'] = 'Επισκέψεις πρέπει να είναι ακέραιος αριθμός';
+$lang['Is in'] = 'Είναι στο';
+$lang['Is not in'] = 'Δεν είναι στο';
+$lang['Is not'] = 'Δεν είναι';
+$lang['Is'] = 'Είναι';
+$lang['Name is empty'] = 'Το όνομα είναι άδειο';
+$lang['To order albums please go the main albums <a href="%s">management page</a>'] = 'Για να παραγγείλετε παρακαλούμε επισκεφθείτε τη <a href="%s">Σελίδα Διαχείρισης</a> του λευκώματος';
+$lang['You can\'t use more than one level filter'] = 'Δεν μπορείτε να χρησιμοποιήσετε περισσότερα από ένα επίπεδο φιλτραρίσματος';
+$lang['You can\'t use more than one limit filter'] = 'Δεν μπορείτε να χρησιμοποιήσετε περισσότερα από ένα όριο φίλτρου';
+$lang['author_filter'] = 'Δημιουργός';
+$lang['create a new SmartAlbum'] = 'δημιουργήστε ένα νέο SmartAlbum';
+$lang['date_filter'] = 'Ημερομηνία';
+$lang['hit_filter'] = 'Επισκέψεις';
+$lang['level_filter'] = 'Επίπεδο';
+$lang['limit_filter'] = 'Μέγιστος αριθμός εικόνων';
+$lang['name_filter'] = 'Όνομα φωτογραφίας ';
+$lang['tags_filter'] = 'Ετικέτες';
 ?>