Index: /extensions/SmartAlbums/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/SmartAlbums/language/ru_RU/plugin.lang.php	(revision 16131)
+++ /extensions/SmartAlbums/language/ru_RU/plugin.lang.php	(revision 16132)
@@ -24,6 +24,4 @@
 $lang['%d photos associated to album %s'] = '%d фотографий, связанных с альбомом %s';
 $lang['%d photos'] = '%d фотографий';
-$lang['(can cause slowdowns on admin pages)'] = '(может привести к замедлению работы на странице администрирования)';
-$lang['Add a SmartAlbum'] = 'Добавить Умный Альбом';
 $lang['Add filters here'] = 'Добавить фильтр здесь';
 $lang['Added after'] = 'Добавлено ​​после';
@@ -35,5 +33,4 @@
 $lang['Created after'] = 'Создано после';
 $lang['Created before'] = 'Создано до';
-$lang['Created on'] = 'Создано';
 $lang['Date string is malformed'] = 'Дата написана неверно';
 $lang['Don\'t show this message again'] = 'Не показывать больше это сообщение ';
@@ -50,9 +47,32 @@
 $lang['SmartAlbum deleted'] = 'Умный Альбом удален';
 $lang['This album is a SmartAlbum'] = 'Этот альбом - Умный Альбом';
-$lang['To order albums please go the main albums management page'] = 'Чтобы упорядочить альбомы, перейдите к главной странице <a href="admin.php?page=cat_list">управления альбомами</a>';
 $lang['Update albums on file upload'] = 'Обновить альбомы при загрузке файлов';
-$lang['You can\'t use more than one limit'] = 'Вы не можете использовать более одного предела';
-$lang['date filter'] = 'фильтр даты';
-$lang['limit filter'] = 'фильтр предела';
-$lang['tags filter'] = 'фильтр тегов';
+$lang['(can cause slowdowns)'] = '(может привести к замедлению работы)';
+$lang['Above'] = 'Above';
+$lang['Author is empty'] = 'Автор не указан';
+$lang['Begins with'] = 'Начать с ';
+$lang['Bellow'] = 'Bellow';
+$lang['Contains'] = 'Содержимое';
+$lang['Doesn\'t begin with'] = 'Не начинать с ';
+$lang['Doesn\'t contain'] = 'Не содержит';
+$lang['Doesn\'t end with'] = 'Не заканчивается на';
+$lang['Ends with'] = 'Заканчивается на';
+$lang['For "Is (not) in", separate each author by a comma'] = 'Для "Это (не) в", рпзделяйте авторов запятыми';
+$lang['Hits must be an integer'] = 'Число просмотров должно быть целым';
+$lang['Is in'] = 'Это в';
+$lang['Is not in'] = 'Это не в';
+$lang['Is not'] = 'Это не';
+$lang['Is'] = 'Это';
+$lang['Name is empty'] = 'Название не указано';
+$lang['To order albums please go the main albums <a href="%s">management page</a>'] = 'Чтобы отсортировать альбомы, перейдите на <a href="%s">страницу управления</a> родительским альбом ';
+$lang['You can\'t use more than one level filter'] = 'Вы не можете использовать более одного фильтра уровня ';
+$lang['You can\'t use more than one limit filter'] = 'Вы не можете использовать более одного фильтра предела ';
+$lang['author_filter'] = 'Автор';
+$lang['create a new SmartAlbum'] = 'создать новый Умный Альбом';
+$lang['date_filter'] = 'Дата';
+$lang['hit_filter'] = 'Просмотры';
+$lang['level_filter'] = 'Уровень';
+$lang['limit_filter'] = 'Максимальное число фотографий';
+$lang['name_filter'] = 'Название фото';
+$lang['tags_filter'] = 'Тэги';
 ?>