Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 16151)
+++ /trunk/language/de_DE/common.lang.php	(revision 16152)
@@ -36,5 +36,5 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%d Kb'] = '%d Kb';
+$lang['%d Kb'] = '%d kB';
 $lang['%d album updated'] = '%d Album aktualisiert';
 $lang['%d albums updated'] = '%d Alben aktualisiert';
@@ -58,11 +58,11 @@
 $lang['Albums'] = 'Alben';
 $lang['Album'] = 'Album';
-$lang['Close this window'] = 'Dieses Fenster schließen';
-$lang['Complete RSS feed (photos, comments)'] = 'Vollständiger RSS-Feed (Fotos, Kommentare)';
+$lang['Close this window'] = 'Dieses Fenster schließen.';
+$lang['Complete RSS feed (photos, comments)'] = 'Vollständiger RSS-Feed (Fotos und Kommentare)';
 $lang['Confirm Password'] = 'Neues Passwort bestätigen';
 $lang['Connection settings'] = 'Login-Einstellungen';
 $lang['Login'] = 'Anmeldung';
 $lang['Contact webmaster'] = 'E-Mail an den Webmaster';
-$lang['Create a new account'] = 'Erstellen Sie ein neues Konto';
+$lang['Create a new account'] = 'Erstellen Sie einen neuen Account';
 $lang['Created on'] = 'Erstellt am';
 $lang['Creation date'] = 'Erstellungsdatum';
@@ -71,7 +71,7 @@
 $lang['Display'] = 'Anzeige';
 $lang['Each listed rule must be satisfied.'] = 'Jede aufgelistete Regel muss erfüllt sein.';
-$lang['Email address is missing. Please specify an email address.'] = 'Die E-Mail-Adresse fehlt. Bitte geben Sie eine E-Mail-Adresse an';
+$lang['Email address is missing. Please specify an email address.'] = 'Die E-Mail-Adresse fehlt. Bitte geben Sie eine E-Mail-Adresse an.';
 $lang['Email address'] = 'E-Mail-Adresse';
-$lang['Enter your personnal informations'] = 'Geben Sie Ihre persönlichen Daten an';
+$lang['Enter your personnal informations'] = 'Geben Sie Ihre persönlichen Daten an.';
 $lang['Error sending email'] = 'Fehler beim Senden der E-Mail';
 $lang['File name'] = 'Name der Datei';
@@ -102,10 +102,10 @@
 $lang['Registration'] = 'Registrierung';
 $lang['Related tags'] = 'Mit den Stichwörten';
-$lang['Reset'] = 'Abbrechen';
+$lang['Reset'] = 'Zurücksetzen';
 $lang['Retrieve password'] = 'Passwort abrufen';
 $lang['Search rules'] = 'Suchkriterien';
 $lang['Search tags'] = 'Stichwörter suchen';
 $lang['Search'] = 'Suchen';
-$lang['display available tags'] = 'alle verfügbaren Stichwörter';
+$lang['display available tags'] = 'alle verfügbaren Stichwörter anzeigen';
 $lang['Since'] = 'Seit';
 $lang['Sort by'] = 'Sortieren nach';
@@ -114,5 +114,5 @@
 $lang['Tags'] = 'Stichwörter';
 $lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'Der RSS-Feed beinhaltet Neuigkeiten von dieser Webseite: neue Fotos, aktualisierte Alben, neue Kommentare. Benutzen Sie einen RSS-Feed-Reader.';
-$lang['Unknown feed identifier'] = 'Feed-ID unbekannt';
+$lang['Unknown feed identifier'] = 'Feed-ID unbekannt.';
 $lang['User comments'] = 'Benutzerkommentare';
 $lang['Username'] = 'Benutzername';
@@ -121,9 +121,9 @@
 $lang['Week %d'] = 'Woche %d';
 $lang['About Piwigo'] = 'Über Piwigo';
-$lang['You are not authorized to access the requested page'] = 'Sie sind nicht berechtigt die gewünschte Seite aufzurufen';
-$lang['add this photo to your favorites'] = 'füge dieses Foto den Favoriten hinzu';
+$lang['You are not authorized to access the requested page'] = 'Sie sind nicht berechtigt, die gewünschte Seite aufzurufen.';
+$lang['add this photo to your favorites'] = 'Füge dieses Foto den Favoriten hinzu.';
 $lang['Administration'] = 'Administration';
 $lang['all'] = 'alle';
-$lang['ascending'] = 'wachsende';
+$lang['ascending'] = 'aufsteigend';
 $lang['author(s) : %s'] = 'Autor(en): %s';
 $lang['Expand all albums'] = 'Albenbaum komplett ausklappen';
@@ -141,10 +141,10 @@
 $lang['chronology_monthly_list'] = 'Monatliche Liste';
 $lang['chronology_weekly_list'] = 'Wöchentliche Liste';
-$lang['Click here if your browser does not automatically forward you'] = 'Klicken Sie hier, wenn Sie nicht durch Ihren Browser automatisch weitergeleitet werden';
+$lang['Click here if your browser does not automatically forward you'] = 'Klicken Sie hier, wenn Sie nicht durch Ihren Browser automatisch weitergeleitet werden.';
 $lang['comment date'] = 'Datum des Kommentars';
 $lang['Comment'] = 'Kommentar';
-$lang['Your comment has been registered'] = 'Ihr Kommentar wurde gespeichert';
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-Floot-Sperre: Vor dem Absenden eines weiteren Kommentars bitte kurz warten';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Ihr Kommentar wurde abgelehnt, da er den Validierungs-Regeln nicht entspricht';
+$lang['Your comment has been registered'] = 'Ihr Kommentar wurde gespeichert.';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-Floot-Sperre: Vor dem Absenden eines weiteren Kommentars bitte kurz warten.';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Ihr Kommentar wurde abgelehnt, da er den Validierungs-Regeln nicht entspricht.';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Ein Administrator muss Ihren Beitrag freischalten, bevor er sichtbar wird.';
 $lang['This login is already used by another user'] = 'Dieser Benutzername ist bereits vergeben';
@@ -225,10 +225,10 @@
 $lang['Next'] = 'Vorwärts';
 $lang['no rate'] = 'noch keine Bewertung';
-$lang['Photos posted within the last %d day.'] = 'Fotos eingestellt im letzen %d Tag.';
-$lang['Photos posted within the last %d days.'] = 'Fotos eingestellt in den letzen %d Tagen.';
+$lang['Photos posted within the last %d day.'] = 'Fotos eingestellt im letzten %d Tag.';
+$lang['Photos posted within the last %d days.'] = 'Fotos eingestellt in den letzten %d Tagen.';
 $lang['password updated'] = 'Passwort aktualisiert';
-$lang['Recent period must be a positive integer value'] = 'Der Zeitraum muss eine positive ganze Zahl sein';
+$lang['Recent period must be a positive integer value'] = 'Der Zeitraum muss eine positive ganze Zahl sein.';
 $lang['photo'] = 'Foto';
-$lang['Click on the photo to see it in high definition'] = 'Klicke auf das Foto, um es in hoher Auflösung zu sehen';
+$lang['Click on the photo to see it in high definition'] = 'Klicke auf das Foto, um es in hoher Auflösung zu sehen.';
 $lang['Show file metadata'] = 'Zeige die Metadaten in der Datei';
 $lang['Powered by'] = 'Unterstützt von';
@@ -248,7 +248,7 @@
 $lang['this login is already used'] = 'dieser Benutzername ist bereits vergeben';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'E-Mail-Adresse muss dem Muster xxx@yyy.eee (Beispiel: jack@altern.org) entsprechen';
-$lang['please enter your password again'] = 'bitte geben Sie erneut Ihr Passwort ein';
+$lang['please enter your password again'] = 'Bitte geben Sie erneut Ihr Passwort ein.';
 $lang['Auto login'] = 'Auto-Login';
-$lang['remove this tag from the list'] = 'entferne dieses Stichwort von der Liste';
+$lang['remove this tag from the list'] = 'Entferne dieses Stichwort von der Liste.';
 $lang['representative'] = 'Album-Vorschaubild';
 $lang['Search for Author'] = 'Suche nach Autor';
@@ -266,5 +266,5 @@
 $lang['searched words : %s'] = 'Suchbegriffe : %s';
 $lang['Contact'] = 'Kontakt';
-$lang['set as album representative'] = 'als Vorschaubild des Albums setzen';
+$lang['set as album representative'] = 'zum Album-Vorschaubild machen';
 $lang['Show number of comments'] = 'Zeige die Anzahl der Kommentare';
 $lang['Show number of hits'] = 'Zeige die Anzahl der Bildaufrufe';
@@ -281,5 +281,5 @@
 $lang['A comment on your site'] = 'Ein Kommentar auf der Website';
 $lang['today'] = 'heute';
-$lang['Update your rating'] = 'Aktualisieren Sie Ihre Bewertung';
+$lang['Update your rating'] = 'Aktualisieren Sie Ihre Bewertung.';
 $lang['the username must be given'] = 'Benutzername fehlt';
 $lang['useful when password forgotten'] = 'nützlich, wenn Sie ihr Passwort vergessen';
@@ -323,12 +323,12 @@
 $lang['cloud'] = 'Wolke';
 $lang['Reset to default values'] = 'Zurücksetzen auf Standardwerte';
-$lang['delete all photos from your favorites'] = 'lösche alle Fotos von der Favoritenliste';
+$lang['delete all photos from your favorites'] = 'lösche alle Fotos aus der Favoritenliste';
 $lang['Sent by'] = 'Gesendet von';
 $lang['Are you sure?'] = 'Sind Sie sicher?';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies werden geblockt oder nicht von Ihrem Browser unterstützt. Sie müssen Cookies erlauben, um sich zu verbinden.';
 $lang['Edit a comment'] = 'Bearbeite einen Kommentar';
-$lang['(!) This comment requires validation'] = '(!) Dieser Kommentar muss berprüft werden';
+$lang['(!) This comment requires validation'] = '(!) Dieser Kommentar muss überprüft werden.';
 $lang['Welcome'] = 'Willkommen';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Willkommen in Ihrer Piwigo-Fotogalerie!';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Willkommen!';
 $lang['... or browse your empty gallery'] = '... oder durchsuche deine leere Galerie';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... oder deaktiviere diese Nachricht, ich finde mich selbst zurecht';
@@ -339,13 +339,13 @@
 $lang['This author removed the comment with id %d'] = 'Dieser Autor löschte den Kommentar mit der ID %d';
 $lang['html tags are not allowed in login'] = 'HTML-Tags sind im Benutzernamen nicht erlaubt';
-$lang['The number of photos per page must be a not null scalar'] = 'Die Anzahl der Fotos pro Seite muss eine ganze Zahl größer als Null sein ';
+$lang['The number of photos per page must be a not null scalar'] = 'Die Anzahl der Fotos pro Seite muss eine ganze Zahl größer als Null sein.';
 $lang['Number of photos per page'] = 'Anzahl der Fotos pro Seite';
 $lang['%d rates'] = '%d Bewertungen';
-$lang['Rating score'] = 'Bewertungs-Stand';
+$lang['Rating score'] = 'Bewertungsstand';
 $lang['Change my password'] = 'Mein Passwort ändern';
-$lang['Check your email for the confirmation link'] = 'Überprüfen Sie Ihr E-Mail-Postfach auf eine E-Mail mit Bestätigungs-Link';
+$lang['Check your email for the confirmation link'] = 'Überprüfen Sie Ihr E-Mail-Postfach auf eine E-Mail mit Bestätigungs-Link.';
 $lang['Enter your new password below.'] = 'Neues Passwort unten eingeben.';
 $lang['EXIF Metadata'] = 'Exif-Metadaten';
-$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Wenn das nicht beabsichtigt war, ignoriere diese E-Mail';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Falls ein Irrtum vorliegt, ignoriere Sie diese E-Mail.';
 $lang['Invalid key'] = 'Ungültiger Schlüssel';
 $lang['Invalid username or email'] = 'Falscher Benutzername oder E-Mail';
@@ -353,16 +353,16 @@
 $lang['Password Reset'] = 'Passwort zurücksetzen';
 $lang['Password reset is not allowed for this user'] = 'Dieser Benutzer darf das Passwort nicht zurücksetzen';
-$lang['Please enter your username or email address.'] = 'Bitte Benutzername oder E-Mail-Adresse eingeben';
+$lang['Please enter your username or email address.'] = 'Bitte Benutzernamen oder E-Mail-Adresse eingeben.';
 $lang['Return to home page'] = 'Zurück zur Startseite';
 $lang['The passwords do not match'] = 'Das Passwort stimmt nicht überein';
 $lang['To reset your password, visit the following address:'] = 'Um das Passwort zurückzusetzen, klicken Sie auf den folgenden Link:';
-$lang['User "%s" has no email address, password reset is not possible'] = 'Der Benutzer "%s" hat keine E-Mail-Adresse. Zurücksetzen des Passworts nicht möglich';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Der Benutzer "%s" hat keine E-Mail-Adresse. Zurücksetzen des Passworts nicht möglich.';
 $lang['Username or email'] = 'Benutzername oder E-Mail';
-$lang['You will receive a link to create a new password via email.'] = 'Per E-Mail erhalten Sie einen Link, um ein neues Passwort zu erstellen';
-$lang['Your password has been reset'] = 'Ihr Passwort wurde zurückgesetzt';
+$lang['You will receive a link to create a new password via email.'] = 'Per E-Mail erhalten Sie einen Link, um ein neues Passwort zu erstellen.';
+$lang['Your password has been reset'] = 'Ihr Passwort wurde zurückgesetzt.';
 $lang['Edit'] = 'Bearbeiten';
 $lang['Hello %s,'] = 'Hallo %s,';
 $lang['Here are your connection settings'] = 'Das sind Ihre Verbindungseinstellungen';
-$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Sollten Sie diese E-Mail irrtümlich erhalten haben, setzen Sie sich bitte mit uns in Verbindung %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Sollten Sie diese E-Mail irrtümlich erhalten haben, setzen Sie sich bitte mit uns in Verbindung %s.';
 $lang['large'] = 'groß';
 $lang['medium'] = 'mittel';
@@ -374,10 +374,10 @@
 $lang['square'] = 'quadratisch';
 $lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Erfolgreich registriert! Sie werden in Kürze eine E-Mail mit Ihren Zugangsdaten erhalten. Herzlich Willkommen!';
-$lang['Thank you for registering at %s!'] = 'Danke für Ihre Registrierung bei %s';
+$lang['Thank you for registering at %s!'] = 'Danke für Ihre Registrierung bei %s!';
 $lang['thumb'] = 'miniatur';
 $lang['Username "%s" on gallery %s'] = 'Benutzername "%s" bei Galerie %s';
 $lang['Username modification'] = 'Benutzername ändern';
 $lang['Username: %s'] = 'Benutzername: %s';
-$lang['xlarge'] = 'noch größer';
+$lang['xlarge'] = 'besonders groß';
 $lang['xxlarge'] = 'sehr groß';
 $lang['Your username has been successfully changed to : %s'] = 'Ihr Benutzername lautet jetzt:';
@@ -410,6 +410,6 @@
 $lang['Page not found'] = 'Seite nicht gefunden';
 $lang['Permalink for album not found'] = 'Permalink für Album nicht gefunden';
-$lang['Piwigo encountered a non recoverable error'] = 'Piwigo ist auf einen nicht nachvollziehbaren Fehler gestoßen';
-$lang['Requested album does not exist'] = 'Gewähltes Album existiert nicht';
-$lang['Requested tag does not exist'] = 'Gewählter Tag existiert nicht';
+$lang['Piwigo encountered a non recoverable error'] = 'Piwigo ist auf einen nicht nachvollziehbaren Fehler gestoßen.';
+$lang['Requested album does not exist'] = 'Gewähltes Album existiert nicht.';
+$lang['Requested tag does not exist'] = 'Gewähltes Stichwort existiert nicht.';
 ?>