Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 16156)
+++ /trunk/language/de_DE/admin.lang.php	(revision 16157)
@@ -565,5 +565,5 @@
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Geben Sie dem Verzeichnis "%s" im Hauptverzeichnis (root) Ihrer Piwigo-Installation Schreibrechte (chmod 777)';
 $lang['existing album'] = 'existierendes Album';
-$lang['create a new album'] = 'erstelle ein neues Album';
+$lang['create a new album'] = 'Erstelle ein neues Album';
 $lang['Album name'] = 'Albumname';
 $lang['Album "%s" has been added'] = 'Album "%s" wurde hinzugefügt';
@@ -608,5 +608,5 @@
 $lang['Visit Gallery'] = 'Besuche die Galerie';
 $lang['Visit Piwigo project website'] = 'Besuche die Piwigo-Projekthomepage';
-$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader bedeutet <em>Piwigo-Uploader</em>. pLoader bereitet Ihre Fotos auf Ihrem Computer vor und überträgt sie in Ihre Piwigo-Fotogalerie.';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader bedeutet <em>Piwigo-Uploader</em>. pLoader bereitet Fotos auf Ihrem Computer vor und überträgt sie in Ihre Piwigo-Bildgalerie.';
 $lang['Guest Settings'] = 'Einstellungen für Gäste';
 $lang['Main Page'] = 'Hauptseite';
@@ -843,17 +843,17 @@
 $lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'Das App <em>Piwigo für iOS</em> ermöglicht es Ihnen, sich mit Ihrer Piwigo-Galerie zu verbinden, Alben zu erstellen und mehrere Fotos gleichzeitig hochzuladen.';
 $lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom ist eine Bildbearbeitungssoftware, die entwickelt wurde, um eine grosse Anzahl von Bildern zu verwalten und zu bearbeiten.';
-$lang['Available on'] = 'Verfügbar am';
+$lang['Available on'] = 'Verfügbar: ';
 $lang['Available versions for'] = 'Verfügbare Versionen für';
 $lang['Piwigo for Android'] = 'Piwigo für Android';
 $lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo für iOS (iPhone, iPad, iPod Touch)';
-$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo Veröffentlichungsplugin für Lightroom';
-$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Der Piwigo Veröffentlichungsplugin erlaubt es Dir, Bilder direkt aus Lightroom mit Deiner Piwigo Galerie zu synchronisieren.';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo-Publish-Plugin für Lightroom';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Das Piwigo-Publish-Plugin erlaubt es Ihnen, Bilder aus Lightroom zu exportieren und mit Ihrer Piwigo-Galerie zu synchronisieren.';
 $lang['%u users have automatic permission because they belong to a granted group.'] = '%u Benutzer haben automatisch Zugriff, weil sie zu einer Gruppe mit entsprechenden Zugriffsrechten gehören.';
 $lang['any visitor can see this album'] = 'jeder Besucher kann das Album sehen';
 $lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture für Mac ist ein mächtiges Werkzeug, um Bilder zu bearbeiten und große Bildersammlungen zu verwalten.';
-$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture ist für professionelle Photographen bestimmt und so einfach zu bedienen wie iPhoto.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture ist für professionelle Fotografen bestimmt und so einfach zu bedienen wie iPhoto.';
 $lang['Groups and users'] = 'Gruppen und Benutzer';
 $lang['include photos with lower privacy level'] = 'Fotos mit geringerer Privatsphäre einschließen';
-$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto ist die Standard-Photoverwaltung unter MacOSX. Das Piwigo-Export-Plugin ermöglicht Ihnen das Erstellen neuer Alben und den Export Ihrer Fotos direkt aus iPhoto in Ihre Piwigo-Galerie.';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto ist die Standard-Fotoverwaltung unter Mac OS X. Das Piwigo-Export-Plugin ermöglicht Ihnen das Erstellen neuer Alben und den Export Ihrer Fotos direkt aus iPhoto in Ihre Piwigo-Galerie.';
 $lang['Permission granted for users'] = 'Zugriff für Benutzer erlaubt';
 $lang['Piwigo export plugin for Aperture'] = 'Piwigo-Export-Plugin für Aperture';
@@ -866,14 +866,14 @@
 $lang['visitors need to login and have the appropriate permissions to see this album'] = 'Besucher müssen sich einloggen und die entsprechenden Rechte besitzen, um das Album zu sehen';
 $lang['Delete multiple size images'] = 'Mehrfache Bildgrößen löschen';
-$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam ist ein modernes Bildverwaltungsprogramm für Linux, Windows und MacOSX. digikam ist freie Software.';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam ist ein modernes Bildverwaltungsprogramm für Linux, Windows und Mac OS X. digikam ist freie Software.';
 $lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam ist für Fotografen gedacht, die Bilder anschauen, verwalten, bearbeiten, verbessern, mit Schlagwörtern erfassen und mit Anderen teilen wollen.';
 $lang['Features include gallery browsing, album creation and photo upload.'] = 'Der Leistungsumfang schließt das Durchbättern der Galerie, das Erstellen von Alben und das Hochladen von Fotos ein.';
 $lang['Generate multiple size images'] = 'Mehrfache Bildgrößen generieren';
-$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Unter Linux installieren Sie einfach Shotwell mit dem Paketmanager und aktivieren Sie die Option "Piwigo Publishing".';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Unter Linux installieren Sie Shotwell einfach mit Ihrem Paketmanager und aktivieren Sie die Option "Piwigo Publishing".';
 $lang['Permission granted for groups'] = 'Zugriff für Gruppen erlaubt';
-$lang['Piwigo publish plugin for digiKam'] = 'Piwigo-Veröffentlichungs-Plugin für digiKam';
-$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery) ist ein Piwigo-Client für Android. Das App ist Open Source (GPLv3).';
-$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell ist eine Open-Source Bildverwaltung für Linux. Es ist das Standard-Bildverwaltungsprogramm unter Ubuntu und Fedora.';
-$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Um Ihre Bilder von digiKam nach Piwigo zu exportieren, installieren Sie einfach digiKam mit den Kipi-Plugins';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo-Publish-Plugin für digiKam';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid ist ein Piwigo-Client für Android. Das App ist Open Source (GPL v3).';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell ist eine Open-Source-Bildverwaltung für Linux und Standard-Bildverwaltungsprogramm unter Ubuntu und Fedora.';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Um Ihre Bilder von digiKam nach Piwigo zu exportieren, installieren Sie einfach digiKam mit den Kipi-Plugins.';
 $lang['No group is permitted to see this private album'] = 'Keine Gruppe hat Zugriff, um das private Album anzusehen';
 $lang['Permission management'] = 'Zugriffsverwaltung';
@@ -923,4 +923,4 @@
 $lang['%d weeks'] = '%d Wochen';
 $lang['Edit photo'] = 'Foto bearbeiten';
-$lang['create a new site'] = 'erstelle eine neue Seite';
+$lang['create a new site'] = 'Erstelle eine neue Seite';
 ?>