Index: /extensions/AddInfousers/language/pt_PT/description.txt
===================================================================
--- /extensions/AddInfousers/language/pt_PT/description.txt	(revision 16164)
+++ /extensions/AddInfousers/language/pt_PT/description.txt	(revision 16164)
@@ -0,0 +1,1 @@
+Acrescenta 7 informações ao perfil dos utilizadores
Index: /extensions/AddInfousers/language/pt_PT/index.php
===================================================================
--- /extensions/AddInfousers/language/pt_PT/index.php	(revision 16164)
+++ /extensions/AddInfousers/language/pt_PT/index.php	(revision 16164)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AddInfousers/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/AddInfousers/language/pt_PT/plugin.lang.php	(revision 16164)
+++ /extensions/AddInfousers/language/pt_PT/plugin.lang.php	(revision 16164)
@@ -0,0 +1,54 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['addinfousers_complete'] = 'Informações suplementares ';
+$lang['addinfousers_explication_cache_info_help'] = 'Pode esconder uma das informações. Para isso deve acrescentar ao ficheiro local CSS :<br>
+Esconder a informação 1 : #addinfouser_1 {display:none} <br>
+Esconder a informação 2 : #addinfouser_2 {display:none} <br>
+Esconder a informação 3 : #addinfouser_3 {display:none} <br>
+Esconder a informação 4 : #addinfouser_4 {display:none} <br>
+Esconder a informação 5 : #addinfouser_5 {display:none} <br>
+Esconder a informação 6 : #addinfouser_6 {display:none} <br>
+Esconder a informação 7 : #addinfouser_7 {display:none} <br>
+';
+$lang['addinfousers_explication_cache_info'] = 'Esconder uma das informações para não a utilizar ';
+$lang['addinfousers_explication_help'] = 'Este plugin permite de acrescentar 7 informações para a inscrição e o perfil dos utilizadores';
+$lang['addinfousers_explication_update_non_help'] = 'Para isso deve acrescentar no seu ficheiro local de língua;<br>
+$lang[\'addinfousers_info1\'] = \'nome escolhido para INFO1\'; <br>
+$lang[\'addinfousers_info2\'] = \'nome escolhido para INFO2\'; <br>
+$lang[\'addinfousers_info3\'] = \'nome escolhido para INFO3\'; <br>
+$lang[\'addinfousers_info4\'] = \'nome escolhido para INFO4\'; <br>
+$lang[\'addinfousers_info5\'] = \'nome escolhido para INFO5\'; <br>
+$lang[\'addinfousers_info6\'] = \'nome escolhido para INFO6\'; <br>
+$lang[\'addinfousers_info7\'] = \'nome escolhido para INFO7\'; <br>
+';
+$lang['addinfousers_explication_update_non'] = 'Substituição das informações "nome","sobrenome",...,INFO5,INFO6,INFO7';
+$lang['addinfousers_explication'] = 'Presentaçao ';
+$lang['addinfousers_h2'] = 'Gestão de informações complementares ';
+$lang['addinfousers_info1'] = 'Sobrenome';
+$lang['addinfousers_info2'] = 'Nome';
+$lang['addinfousers_info3'] = 'Morada';
+$lang['addinfousers_info4'] = 'País';
+$lang['addinfousers_info5'] = 'INFO5';
+$lang['addinfousers_info6'] = 'INFO6';
+$lang['addinfousers_info7'] = 'INFO7';
+?>