Index: /extensions/ExtendedDescription/admin.inc.php
===================================================================
--- /extensions/ExtendedDescription/admin.inc.php	(revision 16171)
+++ /extensions/ExtendedDescription/admin.inc.php	(revision 16172)
@@ -4,19 +4,49 @@
 
 add_event_handler('get_popup_help_content', 'extended_desc_popup', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
-add_event_handler('loc_end_page_tail', 'add_ed_js');
+add_event_handler('loc_begin_admin_page', 'add_ed_help');
 
-function add_ed_js()
+function add_ed_help()
 {
   global $page, $template;
   
-  $change = array('cat_modify', 'picture_modify', 'configuration', 'notification_by_mail');
+  $target = null;
+  switch ($page['page'])
+  {
+    case 'album':
+      $target = 'album_properties';
+      break;
+    case 'photo':
+      $target = 'picture_modify';
+      break;
+    case 'configuration':
+      $target = 'config';
+      break;
+    case 'notification_by_mail':
+      $target = 'notification_by_mail';
+      break;
+    case 'plugin':
+      if ($_GET['section'] == 'AdditionalPages/admin.php') $target = 'plugin_admin_content';
+      if ($_GET['section'] == 'header_manager/admin.php')  $target = 'header_manager';
+      break;
+  }
+  
+  if (!empty($target))
+  {
+    load_language('plugin.lang', EXTENDED_DESC_PATH);
+    $template->set_prefilter($target, 'add_ed_help_prefilter');
+  }
+}
 
-  if (!isset($page['page']) or !in_array($page['page'], $change)) return;
-
-  load_language('plugin.lang', EXTENDED_DESC_PATH);
+function add_ed_help_prefilter($content)
+{
+  global $template;
+  $themeconf = $template->get_template_vars('themeconf');
   
-  $template->assign('ed_page', $page['page']);
-  $template->set_filename('add_ed_popup', dirname(__FILE__) . '/template/add_popup.tpl');
-  $template->append('footer_elements', $template->parse('add_ed_popup', true));
+  $search = '</textarea>';
+  $add = '
+{combine_script id=\'core.scripts\' load=\'async\' path=\'themes/default/js/scripts.js\'}
+<a href="./admin/popuphelp.php?page=extended_desc" onclick="popuphelp(this.href); return false;" title="'.l10n('ExtendedDesc_help').'" style="vertical-align: middle; border: 0; margin: 0.5em;"><img src="'.$themeconf['admin_icon_dir'].'/help.png" class="button" alt="'.l10n('ExtendedDesc_help').'"></a>';
+  
+  return str_replace($search, $search.$add, $content);
 }
 
Index: /extensions/ExtendedDescription/language/ar_SA/help.html
===================================================================
--- /extensions/ExtendedDescription/language/ar_SA/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/ar_SA/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>اضافة الوصف</h2>
 
@@ -118,2 +119,3 @@
 </ul>
 <p>يحولك الى صفحة بحث في معرضك حيث xx هو معرف البحث</p>
+</div>
Index: /extensions/ExtendedDescription/language/ca_ES/help.html
===================================================================
--- /extensions/ExtendedDescription/language/ca_ES/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/ca_ES/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Extended Description (Descripci&oacute; ampliada)</h2>
 
@@ -107,2 +108,3 @@
 </ul>
 <p>Redirigeix a una p&agrave;gina de cerca de la galeria (substitueix xx per l'identificador de cerca)'.</p>
+</div>
Index: /extensions/ExtendedDescription/language/ca_ES/index.php
===================================================================
--- /extensions/ExtendedDescription/language/ca_ES/index.php	(revision 16172)
+++ /extensions/ExtendedDescription/language/ca_ES/index.php	(revision 16172)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ExtendedDescription/language/cs_CZ/help.html
===================================================================
--- /extensions/ExtendedDescription/language/cs_CZ/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/cs_CZ/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Rozšířený popis</h2>
 
@@ -106,2 +107,3 @@
 </ul>
 <p>Směruje na vyhledávací stránku ve vaší fotogalerii kde xx je ID daného vyhledávání.</p>
+</div>
Index: /extensions/ExtendedDescription/language/de_DE/help.html
===================================================================
--- /extensions/ExtendedDescription/language/de_DE/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/de_DE/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Ausf&uuml;hrliche Beschreibung </h2>
 
@@ -107,2 +108,3 @@
 <p>Leitet auf eine Suchseite Ihrer Galerie weiter, wo xx die Such-ID
 ist.</p>
+</div>
Index: /extensions/ExtendedDescription/language/el_GR/help.html
===================================================================
--- /extensions/ExtendedDescription/language/el_GR/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/el_GR/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Εκτεταμένη Περιγραφή</h2>
 
@@ -107,2 +108,3 @@
 </ul>
 <p>Ανακατεύθυνση στη σελίδα αναζήτησης της γκαλερί σας όπου xx είναι το αναγνωριστικό αναζήτησης.</p>
+</div>
Index: /extensions/ExtendedDescription/language/en_UK/help.html
===================================================================
--- /extensions/ExtendedDescription/language/en_UK/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/en_UK/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Extended Description</h2>
 
@@ -7,5 +8,4 @@
 <ul>
   <li><b>Example</b>:<br>
-  <br>
 <code>[lang=default] default description [/lang]<br>
 [lang=en] description in english [/lang]<br>
@@ -31,5 +31,5 @@
 
 <ul>
-  <li><b>tag &lt;!--more--&gt;</b></li>
+  <li><b>&lt;!--more--&gt;</b></li>
 </ul>
 <code>short description &lt;!--more--&gt; long description</code>
@@ -37,5 +37,5 @@
 
 <ul>
-  <li><b>tag &lt;!--complete--&gt;</b></li>
+  <li><b>&lt;!--complete--&gt;</b></li>
 </ul>
 <code>short description &lt;!--complete--&gt; long description</code>
@@ -43,27 +43,41 @@
 
 <ul>
-  <li><b>tag &lt;!--up-down--&gt;</b></li>
+  <li><b>&lt;!--up-down--&gt;</b></li>
 </ul>
 <code>top description &lt;!--up-down--&gt; bottom description</code>
 <p>Only the top description is displayed outside the album.  On the album page, the top description is displayed above the thumbnails, the bottom description is displayed below the thumbnails.</p>
 
-<h3>Insert a album or a photo</h3>
+<h3>Insert an album or a photo</h3>
 
 <ul>
-  <li><b>tag [cat=xx]</b></li>
+  <li><b>[cat=xx]</b></li>
 </ul>
 <p>This tag inserts a album in the description, where xx is the album identifier.</p>
 
 <ul>
-  <li><b>tag [img=xx1 xx2 xxN;yyyy;name]</b></li>
+  <li><b>[img=xx1 xx2 xxN;yyyy;name]</b></li>
 </ul>
 <p>This tag allows to insert one or more thumbnail in the description, with:<br><br>
-- xx the photo identifier; you can add the album identifier next to the photo identifier: <code>xx.ccc</code>.
-<br>
-- yyyy (optional) : can take any value among {left, right}.</p>
-- name (optional) : can take any value among {name, titleName}. If tagged, with <i>name</i> the name of the picture is diplayed under the thumbnail, with <i>titleName</i> the photo markup &lt;title&gt; is fill with the name.</p>
+- <code>xx</code> the photo identifier; you can add the album identifier next to the photo identifier: <code>xx.ccc</code>.<br>
+- <code>yyyy</code> (optional) : can take any value among <i>{left, right}</i>.<br>
+- <code>name</code> (optional) : can take any value among <i>{name, titleName}</i>. If tagged, with <i>name</i> the name of the picture is diplayed under the thumbnail, with <i>titleName</i> the photo markup &lt;title&gt; is fill with the name.</p>
+
+<ul>
+  <li><b>[photo id=xx album=yy size=M html=yes link=yes]</b></li>
+</ul>
+<p>This tag allows to insert one picture at any size you want, with:<br><br>
+- <code>id</code> the photo identifier<br>
+- <code>album</code> (optional) the parent album identifier<br>
+- <code>size</code> (optional) the size of the photo, among <i>{SQ, TH, XXS, S, M, L, XL, XXL}</i><br>
+- <code>html</code> (optional) if set to <i>no</i> the tag only returns the URL of the photo, without HTML<br>
+- <code>link</code> (optional) if set to <i>yes</i> the photo is wrapped into a link to the picture page</p>
+
+<ul>
+  <li><b>[random album=yy size=M html=yes link=yes]</b></li>
+</ul>
+<p>Same thin as above, except that the photo is choosed randomly into <code>album</code></p>
 
 
-<h3>Hide a album</h3>
+<h3>Hide an album</h3>
 
 <p>Use tag <b>&lt;!--hidden--&gt;</b> in the album name:<br>
@@ -72,5 +86,5 @@
 - it remains visible in the album menu</p>
 
-<h3>Hide a album in menu</h3>
+<h3>Hide an album from the menu</h3>
 
 <p>Use tag <b>&lt;!--mb-hidden--&gt;</b> in the album name:<br>
@@ -107,2 +121,3 @@
 </ul>
 <p>Redirect to a search page of your gallery where xx is the search identifier.</p>
+</div>
Index: /extensions/ExtendedDescription/language/es_ES/help.html
===================================================================
--- /extensions/ExtendedDescription/language/es_ES/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/es_ES/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Extended Description</h2>
 
@@ -113,2 +114,3 @@
 </ul>
 <p>Redirige a una página de búsqueda de la galería (sustituya xx por el identificador de la búsqueda)'.</p>
+</div>
Index: /extensions/ExtendedDescription/language/fr_FR/help.html
===================================================================
--- /extensions/ExtendedDescription/language/fr_FR/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/fr_FR/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Extended Description</h2>
 
@@ -8,5 +9,4 @@
 <ul>
   <li><b>Exemple d'utilisation</b>:<br>
-  <br>
 <code>[lang=default] description par défaut [/lang]<br>
 [lang=fr] description en francais [/lang]<br>
@@ -33,5 +33,5 @@
 
 <ul>
-  <li><b>Balise &lt;!--more--&gt;</b></li>
+  <li><b>&lt;!--more--&gt;</b></li>
 </ul>
 <code>description réduite &lt;!--more--&gt; description détaillée</code>
@@ -40,5 +40,5 @@
 
 <ul>
-  <li><b>Balise &lt;!--complete--&gt;</b></li>
+  <li><b>&lt;!--complete--&gt;</b></li>
 </ul>
 <code>description réduite &lt;!--complete--&gt; description détaillée</code>
@@ -47,5 +47,5 @@
 
 <ul>
-  <li><b>Balise &lt;!--up-down--&gt;</b></li>
+  <li><b>&lt;!--up-down--&gt;</b></li>
 </ul>
 <code>description haute &lt;!--up-down--&gt; description basse</code>
@@ -57,21 +57,34 @@
 
 <ul>
-  <li><b>Balise [cat=xx]</b></li>
+  <li><b>[cat=xx]</b></li>
 </ul>
 <p>Cette balise permet d'insérer un album dans la description, avec xx le numéro de l'album</p>
 
 <ul>
-  <li><b>Balise [img=xx1 xx2 xx3 xxN;yyyy;name]</b></li>
+  <li><b>[img=xx1 xx2 xx3 xxN;yyyy;name]</b></li>
 </ul>
 <p>Cette balise permet d'insérer une ou plusieurs vignettes dans la description, avec :<br><br>
 - xx le numéro de la photo ; il est possible de préciser le numéro de l'album parent après le numéro : <code>xx.ccc</code>.<br/>
-<br/>
-- yyyy (facultatif) prend soit la valeur <i>left</i>, soit la valeur <i>right</i> et permet de positionner la vignette de l'image sur la droite ou la gauche.
-<br/>
+- yyyy (facultatif) prend soit la valeur <i>left</i>, soit la valeur <i>right</i> et permet de positionner la vignette de l'image sur la droite ou la gauche.<br/>
 - name (facultatif) prend soit la valeur <i>name</i>, soit la valeur <i>titleName</i> ; avec <i>name</i> le nom de la photo sera affiché sous la vignette, avec <i>titleName</i> le nom de la photo est renseigné dans la balise <i>&lt;title&gt;</i> de celle-ci.</p>
+
+<ul>
+  <li><b>[photo id=xx album=yy size=M html=yes link=yes]</b></li>
+</ul>
+<p>Cetet balise permet d'insérer une photo de n'importe quelle taille, avec:<br><br>
+- <code>id</code> le numéro de la photo<br>
+- <code>album</code> (optional) le numéro de l'album parent<br>
+- <code>size</code> (optional) la taille de la photo, parmi <i>{SQ, TH, XXS, S, M, L, XL, XXL}</i><br>
+- <code>html</code> (optional) si <i>no</i>, la balise ne retourne que l'URL de la photo, sans HTML<br>
+- <code>link</code> (optional) si <i>yes</i>, la photo est cliquable, vers sa page</p>
+
+<ul>
+  <li><b>[random album=yy size=M html=yes link=yes]</b></li>
+</ul>
+<p>Même chose, sauf que la photo est prise aléatoirement dans <code>album</code></p>
 
 <h3>Masquer un album</h3>
 
-<p>On met la balise <b>&lt;!--hidden--&gt;</b> dans le nom de l'album :<br>
+<p>Balise <b>&lt;!--hidden--&gt;</b> dans le nom de l'album :<br>
 <br>
 - celui-ci ne sera plus affichée sur la page de l'album parent<br>
@@ -80,5 +93,5 @@
 <h3>Masquer un album dans le menu</h3>
 
-<p>On met la balise <b>&lt;!--mb-hidden--&gt;</b> dans le nom de l'album :<br>
+<p>Balise <b>&lt;!--mb-hidden--&gt;</b> dans le nom de l'album :<br>
 <br>
 - celui-ci ne sera plus affichée dans le menu des albums<br>
@@ -87,10 +100,10 @@
 <h3>Masquer une photo</h3>
 
-<p>On met la balise <b>&lt;!--hidden--&gt;</b> dans le nom de la photo :<br>
+<p>Balise <b>&lt;!--hidden--&gt;</b> dans le nom de la photo :<br>
 <br>
 - celle-ci ne sera plus affichée sur la page des vignettes<br>
 - elle reste néanmoins visible au sein de l'album</p>
 
-<h3>Album redirigée</h3>
+<h3>Album redirigé</h3>
 
 <ul>
@@ -113,2 +126,3 @@
 </ul>
 <p>Redirige vers une page de recherche de votre galerie où xx est l'identifiant de la page de recherche.</p>
+</div>
Index: /extensions/ExtendedDescription/language/hu_HU/help.html
===================================================================
--- /extensions/ExtendedDescription/language/hu_HU/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/hu_HU/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Kiterjesztett leírás</h2>
 
@@ -108,2 +109,3 @@
 </ul>
 <p>Redirect to a search page of your gallery where xx is the search identifier.</p>
+</div>
Index: /extensions/ExtendedDescription/language/it_IT/help.html
===================================================================
--- /extensions/ExtendedDescription/language/it_IT/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/it_IT/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Extended Description</h2>
 
@@ -113,2 +114,3 @@
 </ul>
 <p>Reindirizza verso una pagina di ricerca della galleria dove xx è l'ID della pagina di ricerca.</p>
+</div>
Index: /extensions/ExtendedDescription/language/lv_LV/help.html
===================================================================
--- /extensions/ExtendedDescription/language/lv_LV/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/lv_LV/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Paplašinātais Apraksts</h2>
 
@@ -105,2 +106,3 @@
 </ul>
 <p>Novirzīt uz jūsu galerijas meklēšanas lapu, kur xx ir meklēšanas identifikators.</p>
+</div>
Index: /extensions/ExtendedDescription/language/nb_NO/help.html
===================================================================
--- /extensions/ExtendedDescription/language/nb_NO/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/nb_NO/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Utvidet beskrivelse</h2>
 
@@ -119,2 +120,3 @@
 </ul>
 <p>Videresender til en søke side i ditt galleri der xx er søke identifikatoren.</p>
+</div>
Index: /extensions/ExtendedDescription/language/nl_NL/help.html
===================================================================
--- /extensions/ExtendedDescription/language/nl_NL/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/nl_NL/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Uitgebreide omschrijving</h2>
 
@@ -125,2 +126,3 @@
 </ul>
 <p>Verwijs naar een zoek pagina van je gallerie waar xx het zoek ID is.</p>
+</div>
Index: /extensions/ExtendedDescription/language/nl_NL/index.php
===================================================================
--- /extensions/ExtendedDescription/language/nl_NL/index.php	(revision 16172)
+++ /extensions/ExtendedDescription/language/nl_NL/index.php	(revision 16172)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ExtendedDescription/language/pl_PL/help.html
===================================================================
--- /extensions/ExtendedDescription/language/pl_PL/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/pl_PL/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Rozszerzony Opis</h2>
 
@@ -106,2 +107,3 @@
 </ul>
 <p>Spowoduje przekierowanie na konkretną stronę wyszukiwarki w galerii, gdzie xx to identyfikator wyszukiwania.</p>
+</div>
Index: /extensions/ExtendedDescription/language/pt_PT/help.html
===================================================================
--- /extensions/ExtendedDescription/language/pt_PT/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/pt_PT/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2> Descri&ccedil;&atilde;o extensa </h2>
 
@@ -105,2 +106,3 @@
 </ul>
 <p> Redirecionar para uma p&aacute;gina de pesquisa da sua galeria; onde xx &eacute; o identificador de busca. </p>
+</div>
Index: /extensions/ExtendedDescription/language/pt_PT/index.php
===================================================================
--- /extensions/ExtendedDescription/language/pt_PT/index.php	(revision 16172)
+++ /extensions/ExtendedDescription/language/pt_PT/index.php	(revision 16172)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ExtendedDescription/language/ru_RU/help.html
===================================================================
--- /extensions/ExtendedDescription/language/ru_RU/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/ru_RU/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Расширенное описание</h2>
 
@@ -105,2 +106,3 @@
 </ul>
 <p>Перенаправление на поисковую страницу Вашей галереи, где xx - поисковый идентификатор.</p>
+</div>
Index: /extensions/ExtendedDescription/language/ru_RU/index.php
===================================================================
--- /extensions/ExtendedDescription/language/ru_RU/index.php	(revision 16172)
+++ /extensions/ExtendedDescription/language/ru_RU/index.php	(revision 16172)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ExtendedDescription/language/sk_SK/help.html
===================================================================
--- /extensions/ExtendedDescription/language/sk_SK/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/sk_SK/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Rozšírený popis</h2>
 
@@ -110,3 +111,3 @@
 <p>Presmerovanie na vyhľadávaciu stránku Vašej galérie, kde xx je
 identifikátor vyhľadávnia.</p>
-
+</div>
Index: /extensions/ExtendedDescription/language/sv_SE/help.html
===================================================================
--- /extensions/ExtendedDescription/language/sv_SE/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/sv_SE/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Utvidgad beskrivning</h2>
 
@@ -106,2 +107,3 @@
 </ul>
 <p>Omdirigering till en sökning på ditt galleri där xx är sök ID.</p>
+</div>
Index: /extensions/ExtendedDescription/language/tr_TR/help.html
===================================================================
--- /extensions/ExtendedDescription/language/tr_TR/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/tr_TR/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Genişletilmiş Açıklama</h2>
 
@@ -106,2 +107,3 @@
 </ul>
 <p>xx tanımlayıcısı ile galerinizdeki bir arama sayfasına yönledirme yapılır.</p>
+</div>
Index: /extensions/ExtendedDescription/language/uk_UA/help.html
===================================================================
--- /extensions/ExtendedDescription/language/uk_UA/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/uk_UA/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Розширений опис</h2>
 
@@ -107,2 +108,3 @@
 </ul>
 <p>Переадресація на сторінку пошуку з галереї, де xx є пошуковим ідентифікатором.</p>
+</div>
Index: /extensions/ExtendedDescription/language/uk_UA/index.php
===================================================================
--- /extensions/ExtendedDescription/language/uk_UA/index.php	(revision 16172)
+++ /extensions/ExtendedDescription/language/uk_UA/index.php	(revision 16172)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ExtendedDescription/language/vi_VN/help.html
===================================================================
--- /extensions/ExtendedDescription/language/vi_VN/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/vi_VN/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>Mô tả mở rộng</h2>
 
@@ -107,2 +108,3 @@
 </ul>
 <p>Điều hướng đến một trang tìm kiếm của thư viện bạn ở vị trí xx là ký hiệu định danh tìm kiếm.</p>
+</div>
Index: /extensions/ExtendedDescription/language/zh_CN/help.html
===================================================================
--- /extensions/ExtendedDescription/language/zh_CN/help.html	(revision 16171)
+++ /extensions/ExtendedDescription/language/zh_CN/help.html	(revision 16172)
@@ -1,2 +1,3 @@
+<div style="text-align:left;">
 <h2>扩展描述</h2>
 
@@ -106,2 +107,3 @@
 </ul>
 <p>Redirect to a search page of your gallery where xx is the search identifier.</p>
+</div>
Index: tensions/ExtendedDescription/template/add_popup.tpl
===================================================================
--- /extensions/ExtendedDescription/template/add_popup.tpl	(revision 16171)
+++ 	(revision )
@@ -1,26 +1,0 @@
-<script type="text/javascript">
-pop = '<a href="./popuphelp.php?page=extended_desc" onclick="popuphelp(this.href); return false;" title="{'ExtendedDesc_help'|@translate|@escape:'javascript'}" style="vertical-align: middle; border: 0; margin: 0.5em;"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/help.png" class="button" alt="{'ExtendedDesc_help'|@translate|@escape:'javascript'}"></a>';
-{if $ed_page == 'cat_modify'}
-comment = jQuery("td:has(textarea[name=\'comment\'])").html();
-mail_content = jQuery("td:has(textarea[name=\'mail_content\'])").html();
-jQuery("td:has(textarea[name=\'comment\'])").html(comment + pop);
-jQuery("td:has(textarea[name=\'mail_content\'])").html(mail_content + pop);
-jQuery("td:has(input[name=\'name\'])").html('<textarea cols="50" rows="2" name="name" id="name" class="description" style="height: 2em">' + '{$CAT_NAME|@escape:'javascript'}' + '</textarea>' + pop);
-{/if}
-{if $ed_page == 'picture_modify'}
-name = jQuery("td:has(input[name=\'name\'])").html();
-desc = jQuery("td:has(textarea[name=\'description\'])").html();
-jQuery("td:has(input[name=\'name\'])").html(name + pop);
-jQuery("td:has(textarea[name=\'description\'])").html(desc + pop);
-{/if}
-{if $ed_page == 'configuration'}
-page_banner = jQuery("li:has(textarea[name=\'page_banner\'])").html();
-jQuery("li:has(textarea[name=\'page_banner\'])").html(page_banner + pop);
-{/if}
-{if $ed_page == 'notification_by_mail'}
-nbm_complementary_mail_content = jQuery("td:has(textarea[name=\'nbm_complementary_mail_content\'])").html();
-send_customize_mail_content = jQuery("td:has(textarea[name=\'send_customize_mail_content\'])").html();
-jQuery("td:has(textarea[name=\'nbm_complementary_mail_content\'])").html(nbm_complementary_mail_content + pop);
-jQuery("td:has(textarea[name=\'send_customize_mail_content\'])").html(send_customize_mail_content + pop);
-{/if}
-</script>