Index: /extensions/luciano/local_head.tpl
===================================================================
--- /extensions/luciano/local_head.tpl	(revision 16172)
+++ /extensions/luciano/local_head.tpl	(revision 16173)
@@ -14,11 +14,12 @@
 {/if}
 
-{*
-{combine_script id="mootools.core" path="themes/luciano/js/mootools-1.2.4-core.js"}
-{combine_script id="mootools.more" require="mootools.core" path="themes/luciano/js/mootools-1.2.4.4-more.js"}
-*}
 {combine_script id="luciano.script" path="themes/luciano/js/script.js"}
 
-{footer_script}
-if (typeof jQuery != 'undefined') {ldelim} jQuery.noConflict();}
-{/footer_script}
+{combine_script id='jquery.chosen' load='footer' path='themes/default/js/plugins/chosen.jquery.min.js'}
+{combine_css path="themes/default/js/plugins/chosen.css"}
+
+{footer_script require='jquery'}{literal}
+jQuery(document).ready(function() {
+  jQuery("select[name=theme], select[name=language]").chosen();
+});
+{/literal}{/footer_script}
Index: tensions/luciano/template/profile_content.tpl
===================================================================
--- /extensions/luciano/template/profile_content.tpl	(revision 16172)
+++ 	(revision )
@@ -1,98 +1,0 @@
-<form method="post" name="profile" action="{$F_ACTION}" id="profile" class="properties">
-
-  <fieldset>
-    <legend>{'Registration'|@translate}</legend>
-    <input type="hidden" name="redirect" value="{$REDIRECT}">
-    <ul>
-      <li>
-        <span class="property">{'Username'|@translate}</span>
-        {$USERNAME}
-      </li>
-{if not $SPECIAL_USER} {* can modify password + email*}
-      <li>
-        <span class="property">
-          <label for="mail_address">{'Email address'|@translate}</label>
-        </span>
-        <input type="text" name="mail_address" id="mail_address" value="{$EMAIL}">
-      </li>
-{if not $IN_ADMIN} {* admins do not need old password*}
-      <li>
-        <span class="property">
-          <label for="password">{'Password'|@translate}</label>
-        </span>
-        <input type="password" name="password" id="password" value="">
-      </li>
-{/if}
-      <li>
-        <span class="property">
-          <label for="use_new_pwd">{'New password'|@translate}</label>
-        </span>
-        <input type="password" name="use_new_pwd" id="use_new_pwd" value="">
-      </li>
-      <li>
-        <span class="property">
-          <label for="passwordConf">{'Confirm Password'|@translate}</label>
-        </span>
-        <input type="password" name="passwordConf" id="passwordConf" value="">
-      </li>
-    </ul>
-{/if}
-  </fieldset>
-
-{if $ALLOW_USER_CUSTOMIZATION}
-  <fieldset>
-    <legend>{'Preferences'|@translate}</legend>
-
-    <ul>
-      <li>
-        <span class="property">
-          <label for="template">{'Interface theme'|@translate}</label>
-        </span>
-        <div id="themeSelect">
-        {html_options name=theme options=$template_options selected=$template_selection}
-        </div>
-      </li>
-      <li>
-        <span class="property">
-          <label for="Language">{'Language'|@translate}</label>
-        </span>
-        <div id="languageSelect">
-        {html_options name=language options=$language_options selected=$language_selection}
-        </div>
-      </li>
-      <li>
-        <span class="property">
-          <label for="Recent period">{'Recent period'|@translate}</label>
-        </span>
-        <input type="text" size="3" maxlength="2" name="recent_period" id="recent_period" value="{$RECENT_PERIOD}">
-      </li>
-      <li>
-        <span class="property">
-          <label for="Expand all categories">{'Expand all categories'|@translate}</label>
-        </span>
-        {foreach from=$radio_options key=value item=option}
-          <input type="radio" name="expand" value="{$value}" {if $value==$EXPAND}checked="checked"{/if}>{$option}
-        {/foreach}
-
-      </li>
-    </ul>
-  </fieldset>
-{/if}
-
-  <p class="bottomButtons">
-    <input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
-    <input type="hidden" name="nb_image_line" id="nb_image_line" value="{$NB_IMAGE_LINE}">
-    <input type="hidden" name="nb_line_page" id="nb_line_page" value="{$NB_ROW_PAGE}" >
-    <input type="hidden" name="show_nb_comments" id="show_nb_comments" value="{$NB_COMMENTS}" >
-    <input type="hidden" name="show_nb_hits" id="show_nb_hits" value="{$NB_HITS}" >
-    <input type="hidden" name="maxwidth" id="maxwidth" value="{$MAXWIDTH}">
-    <input type="hidden" name="maxheight" id="maxheight" value="{$MAXHEIGHT}">
-
-    <input class="submit" type="submit" name="validate" value="{'Submit'|@translate}">
-    <input class="submit" type="reset" name="reset" value="{'Reset'|@translate}">
-    {if $ALLOW_USER_CUSTOMIZATION}
-    <input class="submit" type="submit" name="reset_to_default" value="{'Reset to default values'|@translate}">
-    {/if}
-  </p>
-
-</form>
Index: /extensions/luciano/theme.css
===================================================================
--- /extensions/luciano/theme.css	(revision 16172)
+++ /extensions/luciano/theme.css	(revision 16173)
@@ -31,4 +31,5 @@
 select			{ background-color: #222; color: #666; }
 input, #menubar input { border: 1px solid #444; background-color: #222; color: #666; }
+input[type="text"], input[type="password"], input[type="button"], input[type="submit"], input[type="reset"], input[type="file"]  { border: 1px solid #444; background-color: #222; color: #666; }
 input[type="submit"], #menubar input[type="submit"] { background-color: #666; color: #222; }
 input[type="submit"]:hover, #menubar input[type="submit"]:hover { background-color: #222; color: #666; cursor: hand; }
@@ -333,12 +334,10 @@
 .content form	{ margin: 10px; }
 
-.errors,
-.infos				{ margin: 10px; color: #fff; font-weight: 700; }
-.errors p,
-.infos p				{ margin: 30px 0 10px ; color: #900; }
-.errors	li,
-.infos li				{ list-style: decimal; margin-left: 30px;}
-
-.idLink				{ margin-top: 20px; }
+.errors {background-color:red;}
+.errors, .infos { margin: 10px; color: #fff; font-weight: 700; border-radius:6px; min-height:30px;}
+.errors p, .infos p { margin: 30px 0 10px ; color: #900; }
+.errors	li, .infos li { list-style: decimal; margin-left: 30px;}
+
+.idLink { margin-top: 20px; }
 
 /* MOOTOOLS PLUGIN */
@@ -396,2 +395,31 @@
 
 #derivativeSwitchLink {display:none;}
+
+/* profile */
+form#profile .chzn-container-single .chzn-search {display:none}
+
+form#profile .chzn-container-active .chzn-single-with-drop {
+    background-color: #666666;
+    background-image: none;
+    border: 1px solid #666666;
+    border-bottom-left-radius: 0;
+    border-bottom-right-radius: 0;
+    box-shadow: none;
+    color: #CCCCCC;
+}
+
+form#profile .chzn-container-single .chzn-single {
+  background-image: none;
+  background-color: #444444;
+  border: 1px solid #666666;
+  box-shadow: none;
+  color: #CCCCCC;
+}
+
+form#profile .chzn-container .chzn-drop {
+  background-color: #444444;
+  background-image: none;
+  border: 1px solid #666666;
+  box-shadow: none;
+  color: #CCCCCC;
+}