Index: /extensions/flickr2piwigo/language/it_IT/description.txt
===================================================================
--- /extensions/flickr2piwigo/language/it_IT/description.txt	(revision 16181)
+++ /extensions/flickr2piwigo/language/it_IT/description.txt	(revision 16181)
@@ -0,0 +1,1 @@
+Estensione per l'importazione di foto dal vostro account Flickr
Index: /extensions/flickr2piwigo/language/it_IT/help_api_key.html
===================================================================
--- /extensions/flickr2piwigo/language/it_IT/help_api_key.html	(revision 16181)
+++ /extensions/flickr2piwigo/language/it_IT/help_api_key.html	(revision 16181)
@@ -0,0 +1,11 @@
+<ol>
+  <li>Vai al <a href="http://www.flickr.com">sito web Flickr</a> e accedi al tuo account</li>
+  <li>Vai alla pagina <a href="http://www.flickr.com/services/api/keys">API keys</a></li>
+  <li>Clicca su <b>Prendi un'altro tasto</b></li>
+  <li>Scegli <b>Ottieni una key non commerciale</b></li>
+  <li>Inserire un nome e una descrizione e spuntare le due caselle di controllo prima di inviare</li>
+  <li>Ora copiare la <b>Key</b> e il <b>Secret</b> per la configurazione di Flickr2Piwigo</li>
+  <li>Clicca <b>Modifica flusso di autenticazione</b></li>
+  <li>Inserire nuovamente una descrizione, incolla <b>Callback URL</b> l'URL qui sopra e fare clic su <b>Salvare modifiche</b></li>
+  <li>Il gioco è fatto!</li>
+</ol>
Index: /extensions/flickr2piwigo/language/it_IT/index.php
===================================================================
--- /extensions/flickr2piwigo/language/it_IT/index.php	(revision 16181)
+++ /extensions/flickr2piwigo/language/it_IT/index.php	(revision 16181)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/flickr2piwigo/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/flickr2piwigo/language/it_IT/plugin.lang.php	(revision 16181)
+++ /extensions/flickr2piwigo/language/it_IT/plugin.lang.php	(revision 16181)
@@ -0,0 +1,51 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['%d albums'] = '%d albums';
+$lang['%d pictures are not displayed because already existing in the database.'] = '%d foto non sono visualizzate perché già presenti nella galleria';
+$lang['%d pictures imported'] = '%d immagini importate';
+$lang['%s imported'] = '%s importati';
+$lang['(%d photos)'] = '(%d foto)';
+$lang['API key'] = 'API key';
+$lang['API not authenticated'] = 'API non autenticate';
+$lang['API secret'] = 'API segrete';
+$lang['Begin transfer'] = 'Iniziare il trasferimento';
+$lang['Callback URL'] = 'Callback URL';
+$lang['Fill these fields from Flickr datas'] = 'Compila questi campi da Flickr dati';
+$lang['Flickr logins'] = 'Flickr logins';
+$lang['How do I get my Flickr API key?'] = 'Come posso ottenere le mie Flickr API key?';
+$lang['Import all my pictures'] = 'Importa tutte le mie immagini';
+$lang['Import all photos in this album'] = 'Importa tutte le foto in questo album';
+$lang['Import options'] = 'Opzioni di importazione';
+$lang['Import'] = 'Importa';
+$lang['List my albums'] = 'Lista dei miei albums';
+$lang['List pictures of this album'] = 'Elenco immagini di questo album';
+$lang['Logued as'] = 'Iscritto come';
+$lang['No download method available'] = 'Nessun metodo di download disponibile';
+$lang['One picture is not displayed because already existing in the database.'] = 'Una immagine non viene visualizzata perché già esistente nel database.';
+$lang['Open Flickr page in a new tab'] = 'Aprire la pagina Flickr in una nuova scheda';
+$lang['Pictures without album'] = 'Immagini senza album';
+$lang['Please fill your API keys on the configuration tab'] = 'Si prega di compilare le chiavi API nella scheda di configurazione';
+$lang['Processing...'] = 'Elaborazione...';
+$lang['Reproduce flickr albums'] = 'Riproduci gli album flickr';
+$lang['Successfully logued to you Flickr account'] = 'Accesso al tuo account Flickr riuscito';
+?>